Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.corbaloc
Class CorbalocServicePOATie

    java.lang.Object
      |
      +--org.omg.PortableServer.Servant
            |
            +--org.openorb.corbaloc.CorbalocServicePOA
                  |
                  +--org.openorb.corbaloc.CorbalocServicePOATie

All Implemented Interfaces:
  CorbalocServiceOperations, InvokeHandler

public class CorbalocServicePOATie
extends CorbalocServicePOA

The initial references service. Used for registering references to be resolved as corbaloc addresses.

Constructor Summary
`CorbalocServicePOATie(CorbalocServiceOperations tieObject)` Constructor
`CorbalocServicePOATie(CorbalocServiceOperations tieObject, POA poa)` Constructor

Method Summary
`POA` | `_default_POA()` _default_POA method
`CorbalocServiceOperations` | `_delegate()` Get the delegate
`void` | `_delegate(CorbalocServiceOperations delegate_)` Set the delegate
`Object` | `get(java.lang.String initRef)` Operation get
`java.lang.String` | `put_object(Object object, java.lang.String path)` Operation put_object
`void` | `put(java.lang.String initRef, Object obj)` Operation put
`void` | `register(byte[] key, Object obj)` Operation register
`Object` | `resolve(byte[] key)` Operation resolve

Methods inherited from class org.openorb.corbaloc.CorbalocServicePOA
`_all_interfaces, _invoke, _this, _this`

Methods inherited from class org.omg.PortableServer.Servant
`_get_delegate, _get_interface_def, _get_interface, _is_a, _non_existent, _object_id, _orb, _orb, _poa, _set_delegate, _this_object, _this_object`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CorbalocServicePOATie

    public CorbalocServicePOATie(CorbalocServiceOperations tieObject)

  Constructor

### CorbalocServicePOATie

    public CorbalocServicePOATie(CorbalocServiceOperations tieObject,
                                 POA poa)

  Constructor

Method Detail

### _delegate

    public CorbalocServiceOperations _delegate()

  Get the delegate

### _delegate

    public void _delegate(CorbalocServiceOperations delegate_)

  Set the delegate

### _default_POA

    public POA _default_POA()

  _default_POA method
  Overrides:
    `_default_POA` in class `Servant`

### get

    public Object get(java.lang.String initRef)

  Operation get
  Following copied from interface: `org.openorb.corbaloc.CorbalocServiceOperations`
  Parameters:
    `initRef` - String name of initial reference. Should be RFC2396 encoded.
  Returns:
    the target object.
  Throws:
    `BAD_PARAM` - if the initial reference does not exist.

### put

    public void put(java.lang.String initRef,
                    Object obj)

  Operation put
  Following copied from interface: `org.openorb.corbaloc.CorbalocServiceOperations`
  Parameters:
    `initRef` - String name of initial reference. Should be RFC2396 encoded.
    `obj` - the target object.
  Throws:
    `BAD_PARAM` - if the initial reference already exists.

### put_object

    public java.lang.String put_object(Object object,
                                       java.lang.String path)

  Operation put_object
  Following copied from interface: `org.openorb.corbaloc.CorbalocServiceOperations`
  Parameters:
    `path` - String name of initial reference. Should be RFC2396 encoded.
    `object` - the object to register
  Returns:
    String the corbaloc URL
  Throws:
    `BAD_PARAM` - if the supplied object is null.

### resolve

    public Object resolve(byte[] key)

  Operation resolve
  Following copied from interface: `org.openorb.corbaloc.CorbalocServiceOperations`
  Parameters:
    `key` - Initial reference key.
  Returns:
    the target object.
  Throws:
    `BAD_PARAM` - if the initial reference does not exist.

### register

    public void register(byte[] key,
                         Object obj)

  Operation register
  Following copied from interface: `org.openorb.corbaloc.CorbalocServiceOperations`
  Parameters:
    `initRef` - String name of initial reference. Should be RFC2396 encoded.
    `obj` - the target object. Null to unbind.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD